TYPO3.Flow - Task # 34749

Status: Resolved Priority: Should have
Author: Adrian Féder Category: - Documentation -
Created: 2012-03-12 Assigned To: Adrian Foder
Updated: 2012-06-25 Due date:

Sprint:

PHP Version:

Has patch: No

Complexity:

Subject: Provide some examples how to nest inline VH's

Description

It would be useful to have some more examples how to nest different variables, array and ViewHelpers; for example, how could

...arguments="{foo: bar, sample: baz -> f:nother.vh(more: stuff)}"

be achieved; or may that even be correct?

Associated revisions

Revision 28ab1031 - 2012-06-25 16:14 - Adrian Foder
[TASK] Show up hints for nesting inline ViewHelpers

This adds a section with some examples about how to nest
and use inline ViewHelpers.

Besides, it does some minor typo and formatting corrections.
Change-Id: 1734702b3f9dc0c83739fdae99a4b241316c16a10

Resolves: #34749

Releases: 1.1, 1.2

Revision 70457ec8 - 2012-06-25 16:56 - Adrian Foder
[TASK] Show up hints for nesting inline ViewHelpers

This adds a section with some examples about how to nest
and use inline ViewHelpers.

Besides, it does some minor typo and formatting corrections.
Change-Id: 1734702b3f9dc0c83739fdae99a4b241316c16a10

Resolves: #34749
Releases: 1.1, 1.2

History

#1 - 2012-03-12 12:07 - Bastian Waidelich

Adrian Foder wrote:
It would be useful to have some more examples how to nest different variables,

array and ViewHelpers;

+1

FYI: Your example should be

1<f:someViewHelper arguments="{foo: bar, sample: '{baz -> f:nother.vh(more: stuff)}'}" />

See more examples here:

http://forge.typo3.org/projects/typo3v4-mvc/wiki/FAQ#Can-ViewHelpers-be-nested

#2 - 2012-03-12 12:27 - Adrian Foéder

that's fine, thanks Bastian; | think the examples from the FAQ could almost be transferred 1:1.
I'll take care, fine?

#3 - 2012-03-12 13:29 - Bastian Waidelich

Adrian Foder wrote:

I'll take care, fine?

More than fine ;)

#4 - 2012-06-21 12:12 - Karsten Dambekalns
- Tracker changed from Suggestion to Task

- Project changed from Documentation to TYPO3.Flow

#5 - 2012-06-21 12:12 - Karsten Dambekalns
- Category set to - Documentation -

- Status changed from New to Accepted

- Assigned To set to Adrian Féder

- Target version setto 1.1

- Has patch set to No

#6 - 2012-06-25 16:16 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12351

#7 - 2012-06-25 16:56 - Gerrit Code Review
http://forge.typo3.org/projects/typo3v4-mvc/wiki/FAQ#Can-ViewHelpers-be-nested
http://review.typo3.org/12351

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/12354

#8 - 2012-06-25 16:56 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
